import { Room } from "./room";
import { Connection } from "./connection";
import { AddRemoveTracks, CreatedRoom, InternalMessage, ParticipantRole, RoomExtendedConfig, UserId, UserNickname, WaitingRoomUpdate } from "./constants";
import { PrefixFunction } from "./logger";
export declare class RoomExtended extends Room {
    #private;
    constructor(connection: Connection, id: string, owner: string, name: string, pin: string, nickname: UserNickname, creationTime: number, config: RoomExtendedConfig, waitingRoomEnabled: boolean, loggerPrefix?: PrefixFunction);
    config(): RoomExtendedConfig;
    waitingRoomEnabled(): boolean;
    createRoom(): Promise<CreatedRoom>;
    sendControlMessage(msg: string, broadcast: boolean, to?: UserNickname): Promise<void>;
    authorizeWaitingList(userId: UserId, authorized: boolean): Promise<void>;
    moveToWaitingRoom(nickname: UserNickname): Promise<void>;
    configureWaitingRoom(enabled: boolean): Promise<WaitingRoomUpdate>;
    assignRole(nickname: UserNickname, role: ParticipantRole): Promise<void>;
    reclaimOwnerRights(): Promise<void>;
    subscribeToWaitingParticipant(nickname: UserNickname): Promise<AddRemoveTracks>;
    unsubscribeFromWaitingParticipant(nickname: UserNickname): Promise<AddRemoveTracks>;
    setLock(locked: boolean): Promise<boolean>;
    setInitialAudioMuted(muted: boolean): Promise<boolean>;
    setInitialVideoMuted(muted: boolean): Promise<boolean>;
    setInitialScreenSharingMuted(muted: boolean): Promise<boolean>;
    setAudioMuted(muted: boolean): Promise<boolean>;
    setVideoMuted(muted: boolean): Promise<boolean>;
    setScreenSharingMuted(muted: boolean): Promise<boolean>;
    setChatMuted(muted: boolean): Promise<boolean>;
    setCanChangeNickname(canChange: boolean): Promise<boolean>;
    setScreenSharingMultipleShares(multipleShares: boolean): Promise<boolean>;
    setScreenSharingEveryoneCanShare(everyoneCanShare: boolean): Promise<boolean>;
    setScreenSharingEveryoneCanDoSubsequentShare(canDoSubsequentShare: boolean): Promise<boolean>;
    setParticipantAudioMuted(nickname: UserNickname, muted: boolean): Promise<boolean>;
    setParticipantVideoMuted(nickname: UserNickname, muted: boolean): Promise<boolean>;
    setParticipantScreenSharingMuted(nickname: UserNickname, muted: boolean): Promise<boolean>;
    turnOffParticipantScreenSharing(nickname?: string, reason?: string): Promise<void>;
    processEvent(e: InternalMessage): Promise<void>;
    owner(): string;
}
