import Logger from "./logger";
import { StatsType } from "./constants";
declare type TrackStats = {
    track: MediaStreamTrack;
    type: StatsType;
    bytesCount: number;
    seconds: number;
};
declare type TrackStatsMap = {
    [index: string]: TrackStats;
};
export declare class WebRTCStats {
    #private;
    protected pc: RTCPeerConnection;
    protected logger: Logger;
    protected tracks: TrackStatsMap;
    constructor(pc: RTCPeerConnection);
    getStats(track: MediaStreamTrack, type: StatsType, callback: Function): Promise<void>;
}
export {};
